This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 220218 - Review Request: perl-Module-Find - Find and use installed modules in a (sub)category
Review Request: perl-Module-Find - Find and use installed modules in a (sub)c...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-19 14:26 EST by Jose Pedro Oliveira
Modified: 2010-07-26 06:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 07:12:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-12-19 14:26:11 EST
Spec URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Module-Find.spec

SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Module-Find-0.05-1.src.rpm

Description:
Module::Find lets you find and use modules in categories. This can be very
useful for auto-detecting driver or plugin modules. You can differentiate
between looking in the category itself or in all subcategories.

Note: requirement of Archive::Any --> Module::CPANTS::Analyse --> ... --> Perl::Critic
Comment 1 Parag AN(पराग) 2006-12-19 20:55:44 EST
will review this
Comment 2 Parag AN(पराग) 2006-12-20 01:55:08 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMS.
+ source files match upstream.
1b756c84e476fc8179fcf2699a4d1a86  Module-Find-0.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ %check used
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/1-use..............ok
t/2-find.............ok
t/3-usesub...........ok
t/4-useall...........ok
t/5-setmoduledirs....ok
t/pod-coverage.......ok
t/pod................ok
All tests successful.
Files=7, Tests=26,  1 wallclock secs ( 0.43 cusr +  0.12 csys =  0.55 CPU)
+ Provides: perl(Module::Find) = 0.05
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.
Comment 3 Jose Pedro Oliveira 2006-12-22 07:12:36 EST
Thanks for the review.

Package imported and built for FC-5, FC-6, and devel.
Comment 4 Matthew Booth 2009-09-08 06:06:01 EDT
Package Change Request
======================
Package Name: perl-Module-Find
New Branches: EL-5
Owners: 

I would like to add virt-v2v to EL-5, which has a dependency on perl-Module-Find.
Comment 5 Jason Tibbitts 2009-09-11 16:27:53 EDT
We need an ack from the current owner beforce branching their packages for EPEL.  Have you read https://fedoraproject.org/wiki/Getting_a_Fedora_package_in_EPEL?
Comment 6 Chris Weyl 2009-09-11 16:49:20 EDT
Ack!  EPEL branch here is a-ok, so long as the requester takes ownership of the new branches.
Comment 7 Jason Tibbitts 2009-09-11 16:57:33 EDT
Since Owners: is empty above, I'm stull not sure what to do.  Matt, Chris has indicated that you should be the owner of the EPEL branch.  If that's what you want, please submit a new CVS request with your FAS ID in the Owners: field.
Comment 8 Richard W.M. Jones 2009-09-12 05:07:18 EDT
Matt, you should own this one I think.
Comment 9 Matthew Booth 2009-09-15 05:21:49 EDT
Package Change Request
======================
Package Name: perl-Module-Find
New Branches: EL-5
Owners: mdbooth

I'm happy to take ownership of this branch.
Comment 10 Jason Tibbitts 2009-09-16 17:18:55 EDT
CVS done.
Comment 11 Mark Chappell 2010-07-15 11:23:18 EDT
Package Change Request
======================
Package Name: perl-HTML-Format
New Branches: EL-6
Owners: tremble


No response from owner, and it's going to be tied to EL-6 SRPMs anyway...
https://bugzilla.redhat.com/show_bug.cgi?id=610094
Comment 12 Mark Chappell 2010-07-15 11:23:53 EDT
Sorry that should have been https://bugzilla.redhat.com/show_bug.cgi?id=612418
Comment 13 Kevin Fenzi 2010-07-16 13:25:50 EDT
spot seems to already own a EL-6 branch here.
Comment 14 Mark Chappell 2010-07-20 03:05:05 EDT
Package Change Request
======================
Package Name: perl-Module-Find
New Branches: EL-6
Owners: tremble

No response from owner, and it's going to be tied to EL-6 SRPMs anyway...
Comment 15 Kevin Fenzi 2010-07-23 17:51:22 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.